<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Tower Attack: Class Hierarchy</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Tower Attack
   </div>
   <div id="projectbrief">A simple console game</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">Class Hierarchy</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock">
<p><a href="hierarchy.html">Go to the textual class hierarchy</a></p>
</div><table border="0" cellspacing="10" cellpadding="0">
<tr><td><img src="inherit_graph_0.png" border="0" alt="" usemap="#CantOpenFile"/>
<map name="CantOpenFile" id="CantOpenFile">
<area shape="rect" id="node1" href="classCantOpenFile.html" title="Object used for exception only. " alt="" coords="5,5,108,32"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_1.png" border="0" alt="" usemap="#CConfig"/>
<map name="CConfig" id="CConfig">
<area shape="rect" id="node1" href="structCConfig.html" title="Config, which needs to be loaded for the game to work use load method to load config from file..." alt="" coords="5,5,76,32"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_2.png" border="0" alt="" usemap="#CEntity"/>
<map name="CEntity" id="CEntity">
<area shape="rect" id="node1" href="classCEntity.html" title="Abstract class, used to store entities to map. " alt="" coords="5,208,72,235"/>
<area shape="rect" id="node2" href="classCAttacker.html" title="Attacker is one of the main game objects, it can attack and defend itself from other towers..." alt="" coords="127,56,208,83"/>
<area shape="rect" id="node6" href="classCEntrance.html" title="represents entrance to the map, positions, where attackers can be inserted " alt="" coords="125,107,209,133"/>
<area shape="rect" id="node7" href="classCExit.html" title="represents exit, place where attackers are heading " alt="" coords="140,157,195,184"/>
<area shape="rect" id="node8" href="classCFreeSpace.html" title="represents free space &#45; place, where tower can be inserted, because attackers don&#39;t move through ther..." alt="" coords="120,208,215,235"/>
<area shape="rect" id="node9" href="classCPath.html" title="represents the path where attackers are moving " alt="" coords="138,259,197,285"/>
<area shape="rect" id="node10" href="classCTower.html" title="Tower is one of the main game objects, it can attack and defend itself from other attackers..." alt="" coords="133,309,201,336"/>
<area shape="rect" id="node14" href="classCWall.html" title="represents the wall ( barricade ) " alt="" coords="138,360,197,387"/>
<area shape="rect" id="node3" href="classCArcher.html" title="Archer 50% chance of extending range by half, 10 % chance of attacking twice. " alt="" coords="265,5,336,32"/>
<area shape="rect" id="node4" href="classCMage.html" title="Mage 50% chance of attacking twice, 10% chance of blocking attack from medic, 10% chance of getting s..." alt="" coords="269,56,333,83"/>
<area shape="rect" id="node5" href="classCWarrior.html" title="Warrior 33% chance of blocking attack from artillery, 10 % chance of attacking twice. " alt="" coords="263,107,338,133"/>
<area shape="rect" id="node11" href="classCArtillery.html" title="ARTILLERY 25% Chance of larger distance by half 20% Chance of double shot. " alt="" coords="263,259,339,285"/>
<area shape="rect" id="node12" href="classCHeavy.html" title="HEAVY 20% chance of blocking all attacks 10% chance of damage to attacker when hit. " alt="" coords="265,309,336,336"/>
<area shape="rect" id="node13" href="classCMedic.html" title="MEDIC 20% chance of blocking attack coming from Warrior 33% chance of surviving death and restoring 1..." alt="" coords="267,360,334,387"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_3.png" border="0" alt="" usemap="#CGame"/>
<map name="CGame" id="CGame">
<area shape="rect" id="node1" href="classCGame.html" title="CGame represents the game with its engine, gamePlan, entities, etc... " alt="" coords="5,5,72,32"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_4.png" border="0" alt="" usemap="#CMap"/>
<map name="CMap" id="CMap">
<area shape="rect" id="node1" href="classCMap.html" title="This class represents a map ( game plan ) with all game objects and entities ( attacker / tower / pat..." alt="" coords="5,5,63,32"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_5.png" border="0" alt="" usemap="#CMenu"/>
<map name="CMenu" id="CMenu">
<area shape="rect" id="node1" href="classCMenu.html" title="Menu class Abstract class with a basic set of methods to draw parts of menu. " alt="" coords="5,208,69,235"/>
<area shape="rect" id="node2" href="classCGamesMenu.html" title="Load game menu. " alt="" coords="119,5,226,32"/>
<area shape="rect" id="node3" href="classCLoser.html" title="Show losing screen. " alt="" coords="141,56,205,83"/>
<area shape="rect" id="node4" href="classCMainMenu.html" title="Main menu. " alt="" coords="127,107,219,133"/>
<area shape="rect" id="node5" href="classCManualPage1.html" title="First page of manual. " alt="" coords="117,157,228,184"/>
<area shape="rect" id="node6" href="classCManualPage2.html" title="Second page of manual. " alt="" coords="117,208,228,235"/>
<area shape="rect" id="node7" href="classCManualPage3.html" title="Third page of manual. " alt="" coords="117,259,228,285"/>
<area shape="rect" id="node8" href="classCNewMenu.html" title="New game menu. " alt="" coords="127,309,218,336"/>
<area shape="rect" id="node9" href="classCScoreMenu.html" title="Show score menu. " alt="" coords="123,360,222,387"/>
<area shape="rect" id="node10" href="classCWinner.html" title="Show winning screen. " alt="" coords="136,411,209,437"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_6.png" border="0" alt="" usemap="#CMenuController"/>
<map name="CMenuController" id="CMenuController">
<area shape="rect" id="node1" href="classCMenuController.html" title="Handles transitions between menu screens and user input. " alt="" coords="5,5,125,32"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_7.png" border="0" alt="" usemap="#quit"/>
<map name="quit" id="quit">
<area shape="rect" id="node1" href="classquit.html" title="used for exception only " alt="" coords="5,5,48,32"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_8.png" border="0" alt="" usemap="#TCoord"/>
<map name="TCoord" id="TCoord">
<area shape="rect" id="node1" href="structTCoord.html" title="Coordinates, row and col. " alt="" coords="5,5,71,32"/>
</map>
</td></tr>
</table>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
